this.name			= "Taranis_outrider_police_conditions";
this.author			= "Montana05";
this.description	= "condition script for the GalCop Outrider ships";
this.version		= "2.00";
this.copyright		= "2022 Montana05";
this.licence		= "CC BY-NC-SA 4.0";
"use strict";

this.allowSpawnShip = function(shipKey) 
{
	var systemGov = system.government;
	
	if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova)
	{
		return false;
	};

	// Dictators OXP and Commies OXP got their own police force
	if((systemGov == 3 && worldScripts["dictators.js"]) || (systemGov == 4 && worldScripts["communist_population"]))
	{
		return false;
	};
	
	switch(shipKey) 
	{
		case "Taranis_outrider_mark_IIN_bhg_deputy":
					
			// GalCop deputies in unstable and dangerous systems
			if(systemGov < 3)
			{
				return true;
			};
			break;

		// GalCop space police in systems with a stable government, minimum techLevel required for maintenance
		case "Taranis_outrider_mark_IIN_police":
			
			if(systemGov >= 3 && system.techLevel > 6)
			{
				return true;
			};
			break;
			
		default:
			break;	
	};
	// otherwise prohibited
	return false;
};